diff Resources/holy-build-box-internal.sh @ 0:520cba9a0d42

initial commit
author Sebastien Jodogne <s.jodogne@gmail.com>
date Thu, 13 Jun 2019 14:57:22 +0200
parents
children 39bdff8f0247
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Resources/holy-build-box-internal.sh	Thu Jun 13 14:57:22 2019 +0200
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+
+# Activate Holy Build Box environment.
+source /hbb_exe/activate
+
+set -x
+
+mkdir /build
+cd /build
+
+# Holy Build Box defines LDFLAGS as "-L/hbb_exe/lib
+# -static-libstdc++". The "-L/hbb_exe/lib" option results in linking
+# errors "undefined reference" to `std::__once_callable',
+# 'std::__once_call' and '__once_proxy'.
+export LDFLAGS=-static-libstdc++
+unset LDPATHFLAGS
+unset SHLIB_LDFLAGS
+unset LD_LIBRARY_PATH
+unset LIBRARY_PATH
+
+cp -r /source /source-writeable
+cmake /source-writeable \
+    -DCMAKE_BUILD_TYPE=Release -DSTATIC_BUILD=ON \
+    -DORTHANC_FRAMEWORK_SOURCE=web \
+    -DCMAKE_INSTALL_PREFIX=/target 
+
+make -j`nproc`
+
+make install